# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85.0"
name = "app-json-settings"
version = "2.1.0"
authors = ["nabbisen"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "App settings as JSON format stored in file and available via read-by-key and write-by-key. Aims a tiny settings manager with reasonably few dependencies."
readme = "README.md"
keywords = [
    "json",
    "serde",
    "utility",
    "file",
]
categories = ["config"]
license = "Apache-2.0"

[features]
default = []
uwp = ["dep:windows"]

[lib]
name = "app_json_settings"
path = "src/lib.rs"

[[test]]
name = "test"
path = "tests/test.rs"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[target."cfg(windows)".dependencies.windows]
version = "0.62"
features = ["Storage"]
optional = true
